    using System;
using System.Collections.Generic;
using System.IO;
using UnityEngine;
using UnityEngine.Events;


//BASE SCRIPT
namespace Fard
{

public class Fard
    {
        public static void Main()
        {

CategoryBuilder.Create("Dave And Bambi", ":troll:", ModAPI.LoadSprite("thumbnails/bamb.png"));

Liquid.Register("Mustard", new mustard());

Liquid.Register("Orange", new orange());


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Dave -DBM ",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/deve.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/dave skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/dave flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/dave bone");
                   
                        person.SetBodyTextures(skin, flesh, bone, 1);

                    Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                   Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                                       Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                     
                        
                    Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                   
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Decimated Dave -DBM ",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/deve decofa.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/decimated skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/dave flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/dave bone");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                   
                Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                   Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                    
                                       Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                     
                        
                    Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Left Unchecked Decimated Dave -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/dave uncek.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/un decimated skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/dave flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/dave bone");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                   
                     Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                   Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                                      Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                     
                        
                    Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                  
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Fanfic Dave -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/dav fsn.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/fan dave skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/sprites/");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                   
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "David -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/davip.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/david skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/david flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/david bone");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                   
                  Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                   Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                                       Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                     
                        
                    Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");

                    }
                }
            );

  ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sad Dave -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/sad dave.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/sad dave skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/dave flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/dave bone");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                        var head = Instance.transform.Find("Head");

                   
                    Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                   Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   

                     Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                     
                        
                    Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");

                        AudioSource Audio = Instance.AddComponent<AudioSource>();
                        Audio.maxDistance = 10;
                        Audio.loop = false;
                        Audio.volume = 0.8f;
                        Audio.clip = ModAPI.LoadSound("sounds/dave cry.mp3");

                        UseEventTrigger useEventTrigger = head.gameObject.AddComponent<UseEventTrigger>();
                        useEventTrigger.Event = new UnityEvent();
                        useEventTrigger.Event.AddListener(delegate ()
                        {
                          Audio.Play();
                        });
                    
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Unhinged Dave -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/unhin deve.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/unhinged skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");;
                   
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );

       ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Tristan -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/tri.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        
                        var skin = ModAPI.LoadTexture("sprites/tristan skin.png");
                       
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                      
                        var bone = ModAPI.LoadTexture("sprites/bone.png");;

                        person.SetBodyTextures(skin, flesh, bone, 1);

                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/hair.png");
                        cSpr.sortingLayerName = "Middle";
 

                    }
                }
            );


                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Golden Tristan -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/gold tri.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        
                        var skin = ModAPI.LoadTexture("sprites/goldtri skin.png");
                        
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                       
                        var bone = ModAPI.LoadTexture("sprites/bone.png");;

                        person.SetBodyTextures(skin, flesh, bone, 1);

                            foreach (var body in person.Limbs)
                            {
                                body.gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                            }
                        
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/hair.png");
                        cSpr.sortingLayerName = "Middle";
                   
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bambi -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bamb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/bamb skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Angry Bambi -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/angy bamb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/angy bamb skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Very angry Bambi -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/agg.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/very angy bamb skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "God Bambi -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/nom.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/nom skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sad Bambi -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/sad bamby.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/sad bamb skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Expunged -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/mrcelo.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/marcello skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                        Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                    }
                }
            );




ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Unfairness Expunged -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/expngd.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/expunged skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                  
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f,0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/ex top.png");
                        cSpr.sortingLayerName = "Middle";
                  
                      Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();

                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "True Expunged -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/tru ex.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("sprites/ex true skin.png");
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("sprites/bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/ex true top.png");
                        cSpr.sortingLayerName = "Middle";
 
    
                  
                    }
                }
            );


           ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Opposition Expunged -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/oppo.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("sprites/oppo skin.png");
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("sprites/bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/oppo top.png");
                        cSpr.sortingLayerName = "Middle";
 
                        Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Hell Expunged -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/dis.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/dis skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                        Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                    
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bandu -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bamdu.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/bandu skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                        Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                    
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sad Bandu -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/sad bamdu.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/sad bandu skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                        Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                    
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Badai -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bedi.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/badai skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                        
                       
                       
                        Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                    
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Left Unchecked Bandu -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/un bambu.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/un bandu skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                    
                   
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Origin Bandu -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/orgn bambo.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                       
                      var person = Instance.GetComponent<PersonBehaviour>();
                       
                        var skin = ModAPI.LoadTexture("sprites/origin skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                      person.SetBodyTextures(skin, flesh, bone, 1);
                     
                           var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/origin top.png");
                        cSpr.sortingLayerName = "Middle";
                

                    
                    }
                }
            );



ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"), //item to get from
        NameOverride = "Bandu Doll -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Description", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("thumbnails/doll.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            var customProperties = ModAPI.FindPhysicalProperties("Human");
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/bandu doll.png"); //the texture for the item
            Instance.FixColliders(); //fix the colliders
        }  
    }
);




ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Original Dave -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/og deve.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/og dave skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                    
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Original Dave Angry -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/og deve ag.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/og dave ag skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );




ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Garrett -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Give me drink",
                    CategoryOverride = ModAPI.FindCategory(""),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/geret.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/garrett skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                         var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/garrett nos.png");
                        cSpr.sortingLayerName = "Middle";
                      
                   
                    }
                }
            );



ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Green Alien Monitor -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("thumbnails/Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("hell.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/hall skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"),
                    NameOverride = "Playrobot -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/pleyp.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/play skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/play flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/play bone");
                     person.SetBodyTextures(skin, flesh, bone, 1);
                      Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                    
                        Instance.transform.Find("BackLeg").Find("UpperLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"),
                    NameOverride = "Diamond Man -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Iridocyclitis",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/dimod.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/man skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/man flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/man bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"),
                    NameOverride = "Ruby Man -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Iridocyclitis 2",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/rub.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/ruby skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/ruby flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/ruby bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"),
                    NameOverride = "Minus Diamond Man -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Iridocyclitis  3",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/mine diamonds.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/min man skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/min man flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/min man bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );



ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "ERROR -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/error.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/error skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Future Orignal Dave -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/fu deve.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/future skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/dave flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/dave bone");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                          Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                   Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                                       Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                     
                        
                    Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");

                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Funny animal game Garrett -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "I know you're hacking!",
                    CategoryOverride = ModAPI.FindCategory(""),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/geret2.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/garrett2 skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                         var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/garrett nos.png");
                        cSpr.sortingLayerName = "Middle";
                      
                   
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Funny animal game Garrett angry -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "170.181.144.73",
                    CategoryOverride = ModAPI.FindCategory(""),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/geret3.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/garrett3 skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                         var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/garrett nos.png");
                        cSpr.sortingLayerName = "Middle";
                      
                   
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"),
                    NameOverride = "PLAYTIME 2.0 -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory(""),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/playtime.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/playtime skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/playtime flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/playtime bone");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                      
                   
                    }
                }
            );
 
 ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Metal Cube"), //item to get from
        NameOverride = "Paloose Man -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "You are a bad crimal", //not needed
        CategoryOverride = ModAPI.FindCategory(""), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/paloose man.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/paloose man.png"); //the texture for the item
            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "The Wizard -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory(""),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/le wazard.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/le wazard skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/le wazard top.png");
                        cSpr.sortingLayerName = "Middle";
                      
                   
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Mr. Music -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory(""),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/music.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/music skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                     
                       Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Do You Accept -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "I have a gift for you, come here",
                    CategoryOverride = ModAPI.FindCategory(""),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/dya.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/dya skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/hair.png");
                        cSpr.sortingLayerName = "Middle";
                     
                     Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();

                   
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Marcello -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/marcelo.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/mmarcello skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                    
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                    
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Angry Marcello -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/madcelo.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/madmarcello skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                   
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                   
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Recovered Project -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/nofac.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/face skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/dave flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/dave bone");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                       Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                   Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                                       Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                     
                        
                    Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                   
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Recovered Project 2 -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/nofac2.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/face2 skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/dave flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/dave bone");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                       Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                   Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                                       Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                     
                        
                    Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                   
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Dingle -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Boing",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/damgle.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/dingle skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                  
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/ding top.png");
                        cSpr.sortingLayerName = "Top";
 
                  
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                  
                    
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Donk -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/shitfuck.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/shitfuck skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                  
                  
                    
                    }
                }
            );



ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Dale -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/dela.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/dale skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                    
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                    
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Gary -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/grayb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/gary skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                   
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                   
                    }
                }
            );
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Jeff -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/jeef.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/jeff skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );





ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bendu -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/benbu.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/bendu skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                     var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/bendu top.png");
                        cSpr.sortingLayerName = "Middle";
                       
                       
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   

                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Jambi -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/jambo.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/jambi skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   

                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Ringi -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/ringa.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/ringi skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                  
                         var head = Instance.transform.GetChild(5);
                         var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/ring top.png");
                        cSpr.sortingLayerName = "Middle";
                  
                  
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                   
                    }
                }
            );



    
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bambom -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bembon.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/bambom skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                    
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                    
                    }
                }
            );





ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bambi Minion -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bmeb min.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/minion skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                    
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                    
                    }
                }
            );




ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"), //item to get from
        NameOverride = "Brobgonal -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Description", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("thumbnails/brobgonal.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
           
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/brob.png"); //the texture for the item
                         
           
            Instance.FixColliders(); //fix the colliders
      
      
        }  
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"), //item to get from
        NameOverride = "Barbu -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Description", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("thumbnails/barbubrob.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
           
         
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/barb.png"); //the texture for the item
            Instance.FixColliders(); //fix the colliders
        }  
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"), //item to get from
        NameOverride = "Dave.png -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Description", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/dave png.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/dave png.png"); //the texture for the item
            Instance.FixColliders(); //fix the colliders
        }  
    }
);





ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bambop -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bembp.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/bambop skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                   
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                   
                    }
                }
            );


                ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Sammy -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/semmy.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/sammy skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                    
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                    
                    }
                }
            );





ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Zambi -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/zamb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/zambi skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                    
                    
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/zamb top.png");
                        cSpr.sortingLayerName = "Middle";
                    
                    
                    
                    }
                }
            );




ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Dambai -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Now let's get into some curiosities",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/debi.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/dambai skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                   
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                              var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/damb top.png");
                        cSpr.sortingLayerName = "Middle";
                   
                    }
                }
            );




ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Dambu -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "This is Dambu and see you later",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/debu.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/dambu skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                   
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                              var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/dambu top.png");
                        cSpr.sortingLayerName = "Middle";

                    }
                }
            );



 ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bwombo -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bowm.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/bwombo skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                            person.SetBodyTextures(skin, flesh, bone, 1);
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/bwomb top.png");
                        cSpr.sortingLayerName = "Middle";
 
                   
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   

                    }
                }
            );




ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Blogblez -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bolg.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/blog skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                          person.SetBodyTextures(skin, flesh, bone, 1);
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/blog top.png");
                        cSpr.sortingLayerName = "Middle";
 

                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   

                    }
                }
            );




 
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bombu -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bom.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/bombu skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                   
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                   
                    }
                }
            );
    
ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bamburg -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/burg.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/burg skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                   
                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                   
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Conbi -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/conb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("sprites/conbi skin.png");
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("sprites/bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/conbi top.png");
                        cSpr.sortingLayerName = "Middle";
 

                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Algerbraitrix -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/al.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("sprites/al skin.png");
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("sprites/bone.png");;

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/al top.png");
                        cSpr.sortingLayerName = "Middle";
 

                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Butchatrix -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/butch.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("sprites/butch skin.png");
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("sprites/bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/butch top.png");
                        cSpr.sortingLayerName = "Middle";
 

                    }
                }
            );




ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Badtrix -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bad.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("sprites/bad skin.png");
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("sprites/bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/bad top.png");
                        cSpr.sortingLayerName = "Middle";
 

                    }
                }
            );



ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Gambi -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "asdfghjkl",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/gamb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("sprites/gamb skin.png");
                       
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/gamb top.png");
                        cSpr.sortingLayerName = "Middle";
 

                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Gambex -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "CUNT",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/gamber.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var skin = ModAPI.LoadTexture("sprites/gamber skin.png");
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("sprites/bone.png");

                        var person = Instance.GetComponent<PersonBehaviour>();

                        person.SetBodyTextures(skin, flesh, bone, 1);
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/gamber top.png");
                        cSpr.sortingLayerName = "Middle";
 

                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bumbo -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        
                        var skin = ModAPI.LoadTexture("sprites/bumbo skin.png");
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("sprites/bone.png");

                        person.SetBodyTextures(skin, flesh, bone, 1);
                 
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/bumbo top.png");
                        cSpr.sortingLayerName = "Middle";
                 
                 
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Origin Bumbo -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/orig bumb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        
                        var skin = ModAPI.LoadTexture("sprites/origin bumbo skin.png");
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("sprites/bone.png");

                        person.SetBodyTextures(skin, flesh, bone, 1);
                 
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/origin bumbo top.png");
                        cSpr.sortingLayerName = "Middle";
                 
                 
                    }
                }
            );



ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Linbi -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/linb.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        
                        var skin = ModAPI.LoadTexture("sprites/linbi skin.png");
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("sprites/bone.png");

                        person.SetBodyTextures(skin, flesh, bone, 1);
                 
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Hjoim -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/hjoim.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                        
                        var skin = ModAPI.LoadTexture("sprites/hjom skin.png");
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("sprites/bone.png");

                        person.SetBodyTextures(skin, flesh, bone, 1);
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Origin Hjoim -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/origin hjoim.png"),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();
                      
                        var skin = ModAPI.LoadTexture("sprites/hjom origin skin.png");
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        var bone = ModAPI.LoadTexture("sprites/bone.png");

                        person.SetBodyTextures(skin, flesh, bone, 1);

                        Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();

                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Banjex -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "I LOVE WEED!1!!!!!!1111!",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/ban.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/ban skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/ban top.png");
                        cSpr.sortingLayerName = "Middle";


                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                   
                    }
                }
            );




ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bamburai -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bamrai.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/bamrai skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/bamrai top.png");
                        cSpr.sortingLayerName = "Middle";


                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                   
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bamburai Mid Origin -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bamrai mid.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/bamrai mid skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/bamrai mid top.png");
                        cSpr.sortingLayerName = "Middle";


                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                   
                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bamberly -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bamber.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/bamber skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                      var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/bamber top.png");
                        cSpr.sortingLayerName = "Middle";


                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                   
                    }
                }
            );
 

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Wedsen -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/wed.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/wedsen skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);


                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/wedsen top.png");
                        cSpr.sortingLayerName = "Middle";

    
                        var cObj2 = new GameObject("back");
                        cObj2.transform.SetParent(Instance.transform.Find("Body").Find("MiddleBody"));
                        cObj2.transform.localPosition = new Vector3(0f, 0f);
                        cObj2.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj2.transform.localScale = new Vector3(1f, 1f);
                        var cSpr2 = cObj2.AddComponent<SpriteRenderer>();
                        cSpr2.sprite = ModAPI.LoadSprite("sprites/wedsen back.png");
                        cSpr2.sortingLayerName = "Middle";





                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Dandi -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/dand.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/dandi skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/dandi top.png");
                        cSpr.sortingLayerName = "Middle"; 


                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "James -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/jame.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/james skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Yambo -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/yamb.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/yambo skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/yambo top.png");
                        cSpr.sortingLayerName = "Middle";

                    }
                }
            );



ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bampal -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bamp.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/bampal skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                      var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/bampal top.png");
                        cSpr.sortingLayerName = "Middle";


                       Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                   
                    }
                }
            );
 



ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Android"),
                    NameOverride = "Billy -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bill.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/billy skin.png");

                        person.SetBodyTextures(skin, null, null, 1);
                   
                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Alex -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/ale.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/alex skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                    }
                }
            );


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"), //item to get from
        NameOverride = "Ohungi -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Bitch", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("thumbnails/ohnguii.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            
            
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/ohngui.png"); //the texture for the item
            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Cuble Gooble -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/cube.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/cube skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/dave flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/dave bone");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
            
                   Instance.transform.Find("BackLeg").Find("Foot").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                   Instance.transform.Find("FrontLeg").Find("FootFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                   
                                       Instance.transform.Find("BackLeg").Find("LowerLeg").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");
                                     
                        
                    Instance.transform.Find("FrontLeg").Find("LowerLegFront").gameObject.GetComponent<PhysicalBehaviour>().Properties = ModAPI.FindPhysicalProperties("Metal");

                   
                    }
                }
            );
 

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Jimble Flong -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Description",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/jimble.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/jimble skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/slop.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/no.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0.1f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/jimble top.png");
                        cSpr.sortingLayerName = "Top";


                        Instance.transform.Find("BackArm").Find("LowerArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("LowerArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("BackArm").Find("UpperArm").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                        Instance.transform.Find("FrontArm").Find("UpperArmFront").gameObject.GetComponent<PhysicalBehaviour>().Disintegrate();
                   
                   
     
     var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
              
                        var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                        var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();    

                           person.SetBruiseColor(255, 234, 0); 
                           person.SetSecondBruiseColor(255, 234, 0);
                           person.SetThirdBruiseColor(255, 234, 0); 


                        foreach (LimbBehaviour limb in person.Limbs)
                       {
                           foreach (var body in person.Limbs)
                           {

                           }


                           cal.Sprites = limb.BloodDecal.Sprites;
                           cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                           cal.Color = new Color32(255, 234, 0, 200);
                           limb.BloodDecal = cal; //Lazy
                           limb.BloodLiquidType = "Mustard";
                           limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                           limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Mustard"), limb.CirculationBehaviour.Limits.y);
                           limb.PhysicalBehaviour.Properties = prop;
                       }
                       var Safe = new GameObject();
                       person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                       person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                       prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                       Safe.SetActive(false);
                       cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                       cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                       cal2.Color = new Color32(255, 234, 0, 200);
                       person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                       foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                           main.startColor = new ParticleSystem.MinMaxGradient(new Color32(255, 234, 0, 200));
                           if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                           var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                           renderer.material.color = new Color32(255, 234, 0, 200);
                       }

                       foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(255, 234, 0, 200));
                       }

                       foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                       {
                           con.Decal = cal2;
                       }

                       foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(255, 234, 0, 200));
                           if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                       }




                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Tango Octavious Swottlebottom The III -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "He is not Cuble's son",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/tang.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/tango skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/hair.png");
                        cSpr.sortingLayerName = "Middle";


                    }
                }
            );


ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bambzerker -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "YOUR MOTHER HUNG HERSELF!!!!",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/zerk.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/zerk skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                       
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/zerk top.png");
                        cSpr.sortingLayerName = "Top";

                    }
                }
            );


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"), //item to get from
        NameOverride = "Soup -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Dont you fell silly?, dont you feel stupid?, dont you feel a little ashamed?", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("thumbnails/suop.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            
            
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/soup.png"); //the texture for the item
            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "L -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "Eahug fgga waadgaaf",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/l.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/l skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                       
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/l top.png");
                        cSpr.sortingLayerName = "Top";

                    }
                }
            );

ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Human"),
                    NameOverride = "Bin -DBM",
                    NameToOrderByOverride = "A",
                    DescriptionOverride = "DEMON!!111!!!!!11!",
                    CategoryOverride = ModAPI.FindCategory("Dave And Bambi"),
                    ThumbnailOverride = ModAPI.LoadSprite("thumbnails/bin.png", 5f),
                    AfterSpawn = (Instance) =>
                    {
                        var person = Instance.GetComponent<PersonBehaviour>();

                        var skin = ModAPI.LoadTexture("sprites/bin skin.png");
                     
                        var flesh = ModAPI.LoadTexture("sprites/flesh.png");
                        
                        var bone = ModAPI.LoadTexture("sprites/bone.png");
                     
                        person.SetBodyTextures(skin, flesh, bone, 1);
                   
                        var head = Instance.transform.GetChild(5);
                        var cObj = new GameObject("hair");
                        cObj.transform.SetParent(Instance.transform.Find("Head"));
                        cObj.transform.localPosition = new Vector3(0f, 0f);
                        cObj.transform.rotation = Quaternion.Euler(0f, 0f, 0f);
                        cObj.transform.localScale = new Vector3(1f, 1f);
                        var cSpr = cObj.AddComponent<SpriteRenderer>();
                        cSpr.sprite = ModAPI.LoadSprite("sprites/bin top.png");
                        cSpr.sortingLayerName = "Top";

                        var prop = UnityEngine.Object.Instantiate<PhysicalProperties>(person.Limbs[0].PhysicalBehaviour.Properties);
              
                        var cal = ScriptableObject.CreateInstance<DecalDescriptor>();
                        var cal2 = ScriptableObject.CreateInstance<DecalDescriptor>();    

                           person.SetBruiseColor(255, 150, 0); 
                           person.SetSecondBruiseColor(255, 150, 0);
                           person.SetThirdBruiseColor(255, 150, 0); 


                        foreach (LimbBehaviour limb in person.Limbs)
                       {
                           foreach (var body in person.Limbs)
                           {

                           }


                           cal.Sprites = limb.BloodDecal.Sprites;
                           cal.IgnoreRadius = limb.BloodDecal.IgnoreRadius;
                           cal.Color = new Color32(255, 150, 0, 200);
                           limb.BloodDecal = cal; //Lazy
                           limb.BloodLiquidType = "Orange";
                           limb.CirculationBehaviour.Drain(limb.CirculationBehaviour.Limits.y);
                           limb.CirculationBehaviour.AddLiquid(Liquid.GetLiquid("Orange"), limb.CirculationBehaviour.Limits.y);
                           limb.PhysicalBehaviour.Properties = prop;
                       }
                       var Safe = new GameObject();
                       person.BleedingParticlePrefab = UnityEngine.Object.Instantiate<GameObject>(person.BleedingParticlePrefab, Safe.transform);
                       person.BloodExplosionPrefab = UnityEngine.Object.Instantiate<GameObject>(person.BloodExplosionPrefab, Safe.transform);
                       prop.ShotImpact = UnityEngine.Object.Instantiate<GameObject>(prop.ShotImpact, Safe.transform);
                       Safe.SetActive(false);
                       cal2.Sprites = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.Sprites;
                       cal2.IgnoreRadius = person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal.IgnoreRadius;
                       cal2.Color = new Color32(255, 150, 0, 200);
                       person.BleedingParticlePrefab.GetComponentInChildren<BleedingParticleBehaviour>().BloodSplatController.Decal = cal2; //again

                       foreach (var thi in person.BleedingParticlePrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var main = person.BleedingParticlePrefab.GetComponentInChildren<ParticleSystem>().main;
                           main.startColor = new ParticleSystem.MinMaxGradient(new Color32(255, 150, 0, 200));
                           if (thi.gameObject.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               thi.gameObject.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                           var renderer = thi.gameObject.GetComponent<ParticleSystemRenderer>();
                           renderer.material.color = new Color32(255, 150, 0, 200);
                       }

                       foreach (var thi in person.BloodExplosionPrefab.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(255, 150, 0, 200));
                       }

                       foreach (var con in person.BloodExplosionPrefab.GetComponentsInChildren<FancyBloodSplatController>())
                       {
                           con.Decal = cal2;
                       }

                       foreach (var thi in prop.ShotImpact.GetComponentsInChildren<ParticleSystem>())
                       {
                           var moon = thi.main;
                           moon.startColor = new ParticleSystem.MinMaxGradient(new Color32(255, 150, 0, 200));
                           if (prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>())
                           {
                               prop.ShotImpact.GetComponentInChildren<FancyBloodSplatController>().Decal = cal2;
                           }
                       }





                    }
                }
            );

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to get from
        NameOverride = "Geoffrey -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Description", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("thumbnails/gefff.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/geff.png"); //the texture for the item
            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"), //item to get from
        NameOverride = "asdfghjkl", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Fuck You", //not needed
        CategoryOverride = ModAPI.FindCategory(":troll:"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/fuck you.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/fuck you.png"); //the texture for the item
                         
           
            Instance.FixColliders(); //fix the colliders
      
      
        }  
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to get from
        NameOverride = "Phone -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Its a phone", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/phone.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/phone.png",3f); //the texture for the item
                         
           
            Instance.FixColliders(); //fix the colliders
      
       }  
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to get from
        NameOverride = "Broken Phone -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Fuck", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/phone broke.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/phone broke.png",3f); //the texture for the item
                         
           
            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);

 
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to get from
        NameOverride = "Laptop -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Its a laptop", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/laptop.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/laptop.png"); //the texture for the item

            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to get from
        NameOverride = "Ipod -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Its an Ipod", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/ipod.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/ipod.png"); //the texture for the item

            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);


ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to get from
        NameOverride = "Keyboard -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Its a keyboard", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/keyboard.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/keyboard.png"); //the texture for the item
                         
           
            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Hover Thruster"), //item to get from
        NameOverride = "Hoverboard -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Its a hoverboard", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/hoverboard.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/hoverboard.png"); //the texture for the item
               foreach (Transform child in Instance.transform)
                            if (child.name.Contains("light"))
                                GameObject.Destroy(child.gameObject);            
           
            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"), //item to get from
        NameOverride = "Best Gift!!!!!!!!! -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Best Gift!!!!!!!!!!", //not needed
        CategoryOverride = ModAPI.FindCategory(""), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/gift.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/gift.png"); //the texture for the item
                         
           
            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);

 ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"), //item to get from
        NameOverride = "Burger -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Its a burger", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/burger.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/burger.png"); //the texture for the item
                         
           
            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);



 ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"), //item to get from
        NameOverride = "Corn -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Its Corn", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/corn.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/corn.png"); //the texture for the item
                         
           
            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);
       
       
ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Stick"), //item to get from
        NameOverride = "Weed -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "I LOVE WEED!1!!!!!!1111!", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/weed.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/weed.png"); //the texture for the item
                         
           
            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);
       

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to get from
        NameOverride = "Bwombo Glasses -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Description", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/bwomb glasses.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/bwomb glasses.png"); //the texture for the item
           
             ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

               armor.stabResistance = 5f;
               armor.armorPiece = "Head";
               armor.armorTier = 3;
           
            Instance.FixColliders(); //fix the colliders
        }  
    }
);
 

ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to get from
        NameOverride = "Banjex Glasses -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Description", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/ban glasses.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/ban glasses.png"); //the texture for the item
           
             ArmorBehaviour armor = Instance.AddComponent<ArmorBehaviour>();

               armor.stabResistance = 5f;
               armor.armorPiece = "Head";
               armor.armorTier = 3;
           
            Instance.FixColliders(); //fix the colliders
        }  
    }
);       
       

       ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to get from
        NameOverride = "Geoffrey's left hand -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Description", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/geff hand 1.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            
            
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/geff hand 1.png"); //the texture for the item
            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);
 
       ModAPI.Register(
    new Modification()
    {
        OriginalItem = ModAPI.FindSpawnable("Rod"), //item to get from
        NameOverride = "Geoffrey's right hand -DBM", //name
        NameToOrderByOverride = "A",
        DescriptionOverride = "Description", //not needed
        CategoryOverride = ModAPI.FindCategory("Dave And Bambi"), //category
        ThumbnailOverride = ModAPI.LoadSprite("sprites/geff hand 2.png"), //thumnail image
        AfterSpawn = (Instance) => //after its spawned
        { 
            
            
            
            Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("sprites/geff hand 2.png"); //the texture for the item
            Instance.FixColliders(); //fix the colliders
      

        }  
    }
);       



        }  
    }

}
  
    public class mustard : Liquid
{
    public mustard()
    {
        this.Color = new Color32(255, 234, 0, 200);
    }

    public override void OnEnterContainer(BloodContainer container)
    {
    }

         public override void OnEnterLimb(LimbBehaviour limb)
    {
        if (limb.SpeciesIdentity == "Android" && UnityEngine.Random.value > 0.995f)
        {
          limb.PhysicalBehaviour.Charge += 0.1f;
        }
    }

    public override void OnExitContainer(BloodContainer container)
    {
    }

    public const string ID = "slop";//<-- You should change the name of liquid here
}


   
    public class orange : Liquid
{
    public orange()
    {
        this.Color = new Color32(255, 150, 0, 200);
    }

    public override void OnEnterContainer(BloodContainer container)
    {
    }

         public override void OnEnterLimb(LimbBehaviour limb)
    {
        if (limb.SpeciesIdentity == "Android" && UnityEngine.Random.value > 0.995f)
        {
          limb.PhysicalBehaviour.Charge += 0.1f;
        }
    }

    public override void OnExitContainer(BloodContainer container)
    {
    }

    public const string ID = "orange juice";//<-- You should change the name of liquid here
}


    